List sources
curl --request GET \
--url https://api.closebot.com/agency/source \
--header 'X-CB-KEY: <api-key>'{
"total": 123,
"results": [
{
"agencyId": "<string>",
"sourceId": "<string>",
"name": "<string>",
"category": "<string>",
"key": "<string>",
"accessToken": "<string>",
"address": "<string>",
"connected": true,
"autoShutoff": true,
"gracefulGoodbye": true,
"bots": [
{
"id": "<string>",
"botName": "<string>",
"tags": [
{
"name": "<string>",
"approveDeny": true,
"id": "<string>"
}
],
"tagFilterConfig": {
"operator": "<string>",
"groups": [
{
"operator": "<string>",
"rules": [
{
"tagName": "<string>",
"tagId": "<string>",
"condition": "<string>"
}
]
}
]
},
"channels": [
"<string>"
],
"personaNameOverride": "<string>",
"enabled": true
}
],
"accountsWithAccess": [
"<string>"
],
"isAvailabilityContactTimezone": true,
"respondWindows": [
{
"dayOfWeekUtc": "<string>",
"startTimeUtc": "<string>",
"duration": "<string>"
}
],
"doNotRespondWindows": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"botRespondWindows": [
{
"dayOfWeekUtc": "<string>",
"startTimeUtc": "<string>",
"duration": "<string>",
"channel": "<string>"
}
],
"isBotRespondWindowsQuietHours": true,
"summarizeAttachments": true,
"respondToReactions": true,
"markConversationAsUnread": true,
"webhookCallback": "<string>",
"scriptInstalled": true,
"scriptLastSeenAt": "2023-11-07T05:31:56Z",
"scriptLastSeenDomain": "<string>",
"scriptLastSeenEndpoint": "<string>",
"scriptDomainAllowList": [
"<string>"
],
"wallet": {
"reBilling": true,
"autoRefill": true,
"topUpAmount": 123,
"refillThreshold": 123,
"stripeCustomerId": "<string>",
"currency": "<string>",
"responseUnitCostOverride": "<string>",
"storageUnitCostOverride": "<string>",
"userUnitCostOverride": "<string>"
},
"hubSpotOwnerId": "<string>"
}
],
"page": 123,
"pageSize": 123
}Source
List sources
Retrieves sources within the current agency.
GET
/
agency
/
source
List sources
curl --request GET \
--url https://api.closebot.com/agency/source \
--header 'X-CB-KEY: <api-key>'{
"total": 123,
"results": [
{
"agencyId": "<string>",
"sourceId": "<string>",
"name": "<string>",
"category": "<string>",
"key": "<string>",
"accessToken": "<string>",
"address": "<string>",
"connected": true,
"autoShutoff": true,
"gracefulGoodbye": true,
"bots": [
{
"id": "<string>",
"botName": "<string>",
"tags": [
{
"name": "<string>",
"approveDeny": true,
"id": "<string>"
}
],
"tagFilterConfig": {
"operator": "<string>",
"groups": [
{
"operator": "<string>",
"rules": [
{
"tagName": "<string>",
"tagId": "<string>",
"condition": "<string>"
}
]
}
]
},
"channels": [
"<string>"
],
"personaNameOverride": "<string>",
"enabled": true
}
],
"accountsWithAccess": [
"<string>"
],
"isAvailabilityContactTimezone": true,
"respondWindows": [
{
"dayOfWeekUtc": "<string>",
"startTimeUtc": "<string>",
"duration": "<string>"
}
],
"doNotRespondWindows": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"botRespondWindows": [
{
"dayOfWeekUtc": "<string>",
"startTimeUtc": "<string>",
"duration": "<string>",
"channel": "<string>"
}
],
"isBotRespondWindowsQuietHours": true,
"summarizeAttachments": true,
"respondToReactions": true,
"markConversationAsUnread": true,
"webhookCallback": "<string>",
"scriptInstalled": true,
"scriptLastSeenAt": "2023-11-07T05:31:56Z",
"scriptLastSeenDomain": "<string>",
"scriptLastSeenEndpoint": "<string>",
"scriptDomainAllowList": [
"<string>"
],
"wallet": {
"reBilling": true,
"autoRefill": true,
"topUpAmount": 123,
"refillThreshold": 123,
"stripeCustomerId": "<string>",
"currency": "<string>",
"responseUnitCostOverride": "<string>",
"storageUnitCostOverride": "<string>",
"userUnitCostOverride": "<string>"
},
"hubSpotOwnerId": "<string>"
}
],
"page": 123,
"pageSize": 123
}Authorizations
CloseBot API Key Authorization
Query Parameters
Size of each page (max 100)
The page number. For example, page 5 with page size of 20 would start at offset 100.
Search by source name
Search by only specific categories (GHL, HubSpot, WebHook, etc)
How results should be ordered. "+" or "-" prefix to specific ascending or descending.
When true, access token for all returned sources are refreshed.
⌘I

